#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

#include "bus.h"
#ifdef __linux__

#define PIN_DATA 2
#define PIN_CLK  3
#define PIN_ACK  4
int data[3]={0};
#include "io.h"




int main()
{
	bus_t bus;
	pthread_t thread;
	FILE* file = NULL;
	setup_io();
	bus_init_recv(&bus, PIN_DATA, PIN_CLK, PIN_ACK);
	init_read_pin(PIN_DATA, PIN_CLK, PIN_ACK);
	pthread_create(&thread, NULL, bus_recv_thread, &bus);
	while(1)
	{
		uint32_t c;
		char buffer[16];
		bus_read(&bus, buffer, 5);
		buffer[5]=0;
		//file=fopen("data", "r+");
		printf("'%s'\n", buffer);
		//fprintf(file,"%u\n", c);
		//fclose(file);
	}
	/*printf("Strat\n");
	while(1)
	{
		int i;
		for(i=2; i<5; i++)
		{
			int a = read_pin(i);
			if(a!=data[i])
			{
				printf("pin[%d] : %d -> %d\n", i, data[i], a);
				data[i]=a;
			}else printf("pin[%d] : %d \n", i, a);
			
		}
		sleep(1);
	}*/
	free_fifo(PIN_DATA, PIN_CLK, PIN_ACK);
	/*int i;
	setup_io();
	INP_GPIO(2);
	INP_GPIO(3);
	while(1)
	{
		printf("%d ", GET_GPIO(2));
		printf("%d ", GET_GPIO(3));
		printf("\n");
		sleep(1);
	}*/
}


#endif
